Vitrina API
Reference

API keys

Mint, list and revoke the credentials every other call is made with.

Mint, list and revoke the credentials every other call is made with.

The chapter that explains this resource, with runnable examples, is here — in Spanish for now.

MethodPathWhat it does
GET/api-keysList API keys
POST/api-keysCreate API key (returns plaintext secret once)
DELETE/api-keys/{id}Revoke API key

GET /api-keys

List API keys

curl https://api.vitrinadev.com/api/v1/api-keys \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 200 · 400 · 401 · 403 · 404 · 409 · 429

POST /api-keys

Create API key (returns plaintext secret once)

Body

FieldTypeRequiredConstraints
namestringyesmín. 1, máx. 120
tenant_iduuid
scopesai_agents:read \ai_agents:write \ai_agents:simulate \
expires_atstringdate-time
curl -X POST https://api.vitrinadev.com/api/v1/api-keys \
  -H "Authorization: Bearer $VITRINA_KEY" \
  -H "Content-Type: application/json" \
  -d '{ … }'

Answers: 201 · 400 · 401 · 403 · 404 · 409 · 429

DELETE /api-keys/{id}

Revoke API key

ParameterInTypeRequiredConstraints
idpathuuidyes
curl -X DELETE https://api.vitrinadev.com/api/v1/api-keys/<id> \
  -H "Authorization: Bearer $VITRINA_KEY"

Answers: 204 · 400 · 401 · 403 · 404 · 409 · 429

On this page